{% extends "admin/base_site.html" %}
{% load i18n admin_modify adminmedia %}

{% block extrahead %}{{ block.super }}
{{ media }}

<link rel="stylesheet" type="text/css" href="{% admin_media_prefix %}css/changelists.css" />
<link rel="stylesheet" type="text/css" href="{% admin_media_prefix %}css/forms.css" />
{% endblock %}

{% block bodyclass %}change-list{% endblock %}
{% block branding %}{% endblock %}

{% block breadcrumbs %}{% endblock %}

{% block title %} {% trans 'Ficha de Matrícula' %}{% endblock %}
{% block coltype %}flex{% endblock %}

{% block content %}

<fieldset class="module">
<div class="form-row">
        <div class="field-box">
		<label class="required" >Semestre:</label>
                {{ anio|escape }} - {{ semestre|escape }}
	</div>
        <div class="field-box">
		<label class="required" >Código:</label>
                {{ estudiante.Codigo|escape }}
	</div>
        <div class="field-box">
		<label class="required" >Estudiante:</label>
                {{ estudiante|escape }}
	</div>
        <div class="field-box">
		<label class="required" >Carrera:</label>
                {{ estudiante.Carrera|escape }}
	</div>
</div>
</fieldset>

<div id="content-main">
  <h2>Ficha de Notas</h2>
      {% block result_list %}
        <div class = "module aligned" id="changelist" >
        {% if cursos %}
            <table>
                <THEAD>
                <TR>
                <TH>Número</TH>
                <TH>Código</TH>
                <TH>G.H.</TH>
                <TH>Curso</TH>
                <TH>Docente</TH>
                <TH>Créditos</TH>
                <TH>Promedio</TH>
                <TH>Estado</TH>
                </TR>
	        </THEAD>

                <TBODY>
                {% for curso in cursos %}
                    <TR class="{% cycle 'row1' 'row2' %}">
                    <TD>{{ forloop.counter }}</TD>
                    <TD>{{ curso.PeriodoCurso.Curso.Codigo|escape }}</TD>
                    <TD>{{ curso.PeriodoCurso.Grupo|escape }}</TD>
                    <TD>{{ curso.PeriodoCurso.Curso.Nombre|escape }}</TD>
                    <TD>{{ curso.PeriodoCurso.Docente|escape }}</TD>
                    <TD>{{ curso.PeriodoCurso.Curso.Creditos|escape }}</TD>
                    <TD>{{ curso.Promedio|escape }}</TD>
                    <TD>{% if curso.aprobado %}
                            <img alt="1" src="{% admin_media_prefix %}img/admin/icon-yes.gif"/> Aprobado
                        {% else %}
                            <img alt="0" src="{% admin_media_prefix %}img/admin/icon-no.gif"/> Desaprobado
                        {% endif %}
                    </TD>
                    </TR>
               {% endfor%}
               </TBODY>
        </table>
        </div>
        <p>Créditos Aprobados: {{ creditos_aprobados|escape }}</p>
        <p>Créditos Desaprobados: {{ creditos_desaprobados|escape }}</p>
        <p>Total de créditos: {{ creditos|escape }}</p>
        <p>Cursos Aprobados: {{ cursos_aprobados|escape }}</p>
        <p>Cursos Desaprobados: {{ cursos_desaprobados|escape }}</p>
        <p>Promedio Ponderado: {{ ponderado|escape }}</p>
        {% endif %}
{% endblock %}
</div>
{% endblock %}
